Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc.gui
Enum AttributeTableModel.Selection

    java.lang.Object
      java.lang.Enum<AttributeTableModel.Selection>
          nl.liacs.subdisc.gui.AttributeTableModel.Selection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AttributeTableModel.Selection>

Enclosing class:
  AttributeTableModel

    public static enum AttributeTableModel.Selection

extends java.lang.Enum<AttributeTableModel.Selection>

Enum Constant Summary
`ALL`
`INVERT`

Method Summary
`static AttributeTableModel.Selection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AttributeTableModel.Selection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final AttributeTableModel.Selection ALL

### INVERT

    public static final AttributeTableModel.Selection INVERT

Method Detail

### values

    public static AttributeTableModel.Selection[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AttributeTableModel.Selection c : AttributeTableModel.Selection.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AttributeTableModel.Selection valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD